Skip to main content
GET
/
v1
/
observations
List observations
curl --request GET \
  --url https://api.example.com/v1/observations \
  --header 'x-api-key: <api-key>'
{
  "data": [
    "<unknown>"
  ],
  "meta": {
    "request_id": "<string>",
    "requestId": "<string>",
    "api_version": "<string>",
    "pagination": {
      "limit": 123,
      "cursor": "<string>",
      "next_cursor": "<string>",
      "has_more": true
    }
  },
  "requestId": "<string>"
}

Authorizations

x-api-key
string
header
required

Query Parameters

limit
integer
default:100
Required range: 1 <= x <= 500
cursor
string
sort
string
order
enum<string>
default:asc
Available options:
asc,
desc
country
string
entity
string
entity_id
string
indicator_id
string
indicatorId
string
indicator
string
source_id
string
sourceId
string
provider_id
string
providerId
string
provider
string
frequency
string
currency
string
type
enum<string>
Available options:
macro
numericOnly
boolean
numeric_only
boolean
importance
enum<string>
Available options:
low,
medium,
high
freshness
enum<string>
Available options:
fresh,
stale,
unknown
start_date
string<date>

Knowledge-time lower bound on observed_at.

end_date
string<date>

Knowledge-time upper bound on observed_at.

period
string

Period-time convenience filter: YYYY, YYYY-MM, or YYYY-Qn.

Pattern: ^\d{4}(-(0[1-9]|1[0-2]|[Qq][1-4]))?$
period_start
string<date>

Period-time lower bound on period_end.

period_end
string<date>

Period-time upper bound on period_end.

as_of
string<date-time>

Knowledge-time vintage cutoff; returns latest vintage known on or before this timestamp.

Response

Observations with attribution, freshness, and rights metadata

data
any[]
required
meta
object
required
requestId
string
required